> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# List what a policy has done

GET https://astropods.com/api/v1/accounts/{account}/automations/{automationID}/runs

Reference: https://docs.astropods.com/api-reference/astropods-api/automations/list-what-a-policy-has-done

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account` (string, required) — Account name
- `automationID` (string, required) — Automation ID

### Query parameters

- `limit` (string, optional) — Runs per page, up to 50
- `before` (string, optional) — Cursor: the started_at of the last run on the previous page
- `before_id` (string, optional) — Cursor: the id of the last run on the previous page

## Response

### 200

OK

- `next_before` (string, optional)
- `next_before_id` (long, optional)
- `runs` (list of AutomationRunView, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

## Types

### AutomationRunView

- `dry_run` (boolean, optional)
- `ended_at` (string, optional)
- `error_message` (string, optional)
- `id` (long, optional)
- `started_at` (string, optional)
- `status` (string, optional)
- `steps` (list of AutomationRunStepView, optional)
- `subject` (string, optional)
- `version` (integer, optional)

### AutomationRunStepView

- `ended_at` (string, optional)
- `error_message` (string, optional)
- `kind` (string, optional)
- `node_path` (string, optional)
- `output` (any, optional)
- `seq` (integer, optional)
- `started_at` (string, optional)
- `status` (string, optional)

## Examples

**Response**

```json
{
  "next_before": "string",
  "next_before_id": 1,
  "runs": [
    {
      "dry_run": true,
      "ended_at": "string",
      "error_message": "string",
      "id": 1,
      "started_at": "string",
      "status": "string",
      "steps": [
        {
          "ended_at": "string",
          "error_message": "string",
          "kind": "string",
          "node_path": "string",
          "seq": 1,
          "started_at": "string",
          "status": "string"
        }
      ],
      "subject": "string",
      "version": 1
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/accounts/account/automations/automationID/runs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/accounts/account/automations/automationID/runs';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/accounts/account/automations/automationID/runs"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/accounts/account/automations/automationID/runs")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/accounts/account/automations/automationID/runs")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/accounts/account/automations/automationID/runs', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/accounts/account/automations/automationID/runs");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/accounts/account/automations/automationID/runs")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```